# fullpath

creates an full path name for the specified relative path name.

## Calling Sequence

    res = fullpath(relative_path)

## Arguments

res

  a string or matrix of string.

relative_path

  a string or a matrix of string.

## Description

`fullpath(relative_path)` сreates a full path name for the specified relative path name.

## Examples

    cd(TMPDIR);
    mkdir(TMPDIR + "/niv1");
    mkdir(TMPDIR + "/niv1/niv2");
    mkdir(TMPDIR + "/niv1/niv2/niv3");
    mputl(' ', TMPDIR + "/niv1/test1.txt");
    mputl(' ' , TMPDIR + "/niv1/niv2/test2.txt");

    cd(TMPDIR + "/niv1/niv2/niv3");

    r1 = fullpath("../../test1.txt")
    r2 = fullpath("../test2.txt")
    M = ["../../test1.txt", "../test2.txt"];
    R = fullpath(M)

## History

5.4.0
Matrix of String managed (SEP 72)